﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_remove_textbox_context_menu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Copy from the currently active TextBox.
        private void ctxCopy_Click(object sender, EventArgs e)
        {
            if (ActiveControl is TextBox)
            {
                TextBox txt = ActiveControl as TextBox;
                txt.Copy();
            }
        }

        // Cut from the currently active TextBox.
        private void ctxCut_Click(object sender, EventArgs e)
        {
            if (ActiveControl is TextBox)
            {
                TextBox txt = ActiveControl as TextBox;
                txt.Cut();
            }
        }

        // Cut into the currently active TextBox.
        private void ctxPaste_Click(object sender, EventArgs e)
        {
            if (ActiveControl is TextBox)
            {
                TextBox txt = ActiveControl as TextBox;
                txt.Paste();
            }
        }

        // Enable and disable items as appropriate.
        private void ctxEdit_Opening(object sender, CancelEventArgs e)
        {
            if (ActiveControl is TextBox)
            {
                TextBox txt = ActiveControl as TextBox;
                ctxCopy.Enabled = (txt.SelectionLength > 0);
                ctxCut.Enabled = (txt.SelectionLength > 0);
                ctxPaste.Enabled = Clipboard.ContainsText();
            }
            else
            {
                // Disable all commands.
                ctxCopy.Enabled = false;
                ctxCut.Enabled = false;
                ctxPaste.Enabled = false;
            }
        }
    }
}
